## ros-kinetic-scan-to-cloud-converter 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(scan_to_cloud_converter)


# List C++ dependencies on ros packages
set( ROS_CXX_DEPENDENCIES
  roscpp
  pcl_ros
  pcl_conversions)

# Find catkin and all required ROS components
find_package(catkin REQUIRED COMPONENTS ${ROS_CXX_DEPENDENCIES})
find_package(PCL REQUIRED QUIET)

# Set include directories
include_directories(include ${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})

# Declare info that other packages need to import library generated here
catkin_package( )

#Create node
add_executable( scan_to_cloud_converter_node
    src/scan_to_cloud_converter_node.cpp
    src/scan_to_cloud_converter.cpp )

# No need to link against pcl (using header only libraries)
target_link_libraries( scan_to_cloud_converter_node ${catkin_LIBRARIES})

add_dependencies(scan_to_cloud_converter_node ${catkin_EXPORTED_TARGETS})


#Install node
install(TARGETS scan_to_cloud_converter_node
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

=== debian/changelog ===
ros-kinetic-scan-to-cloud-converter (0.3.2-0xenial) xenial; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Sat, 19 Mar 2016 07:00:00 -0000

ros-kinetic-scan-to-cloud-converter (0.3.1-0xenial) xenial; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Fri, 18 Dec 2015 08:00:00 -0000

ros-kinetic-scan-to-cloud-converter (0.3.0-0xenial) xenial; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Tue, 10 Nov 2015 08:00:00 -0000

ros-kinetic-scan-to-cloud-converter (0.2.1-0xenial) xenial; urgency=high

  * [fix] PCL dependency Hydro onward
  * [sys] Catkinization
  * Contributors: Ivan Dryanovski, Miguel Sarabia, Enrique Fernández Perdomo

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Wed, 14 Oct 2015 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-scan-to-cloud-converter
Section: misc
Priority: extra
Maintainer: Ivan Dryanovski <ccnyroboticslab@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-kinetic-catkin, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/laser_scan_matcher
Standards-Version: 3.9.2

Package: ros-kinetic-scan-to-cloud-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl1.7, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp
Description: Converts LaserScan to PointCloud messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-scan-to-cloud-converter//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
